import { ApiProperty } from '@nestjs/swagger';

export class UpdateIPDto {
  @ApiProperty({
    required: false,
    description:
      'IPv4 address, when unspecified, pulls from request (if available)',
  })
  ipv4?: string;

  @ApiProperty({
    required: false,
    description:
      'IPv6 address, when unspecified, pulls from request (if available)',
  })
  ipv6?: string;

  @ApiProperty({
    required: false,
    description: 'Specify record to update. Defaults to "@"',
  })
  subdomain?: string;

  @ApiProperty({
    required: false,
    description:
      'Flag the first request as "dual" if you\'re using two requests to update both v4 and v6',
  })
  dualRequest?: boolean;
}
